Subject: Re: [PATCH] netfilter: ipt_MASQUERADE: NULL check in device_cmp [BUG] panic 2.6.20-rc3 in nf_conntrack

From: Jarek Poplawski <[email-masked]>
Date: Mon, 8 Jan 2007 09:13:15 +0100

On Thu, Jan 04, 2007 at 02:51:55PM +0100, Jarek Poplawski wrote:
> 
> Hello,
> 
> Below I attach a patch proposal.

It seems I wasted some time...

I wonder if there is any reason to forward netfilter
bugs to netdev if patches from netfilter aren't cc-d
here? It seems netfilter is really independent from
net.

Before sending the patch I did some seeking by subject
on both lists and found nothing. Now I see it was in
netfilter-devel, but wasn't even titled as patch
and no "masquerade" in title also. Maybe I should
check netfilter svn also but can't find it yet... 

Of course I'll try to remember to ignore such messages
next time, but others may be tricked.

Regards,
Jarek P.

PS: After some confusion I've also found a good side:
other systems will wet themselves when they see
linux has such work resources it can fix bugs twice.